## libosmo-sccp 0.7.0

=== debian/changelog ===
libosmo-sccp (0.7.0-4) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/watch: change watch file
  * debian/control: bump standard to 4.1.2 (no changes)

 -- Kira Obrezkova <kiraobrezkova@gmail.com>  Sat, 06 Jan 2018 10:43:48 +0300

libosmo-sccp (0.7.0-3) unstable; urgency=medium

  * debian/control: add myself to uploaders
  * debian/control: move package to debian-mobcom and change URLs
  * debian/control: change maintainer to debian-mobcom-maintainers
  * debian/control: use dh10
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: remove redundant dependency of dh-autoreconf

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 11 Sep 2017 19:52:59 +0200

libosmo-sccp (0.7.0-2) unstable; urgency=medium

  * Fix FTBFS for big-endian architectures
  * d/control: Standards 3.9.7 - no needed changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sat, 20 Feb 2016 18:04:09 +0100

libosmo-sccp (0.7.0-1) unstable; urgency=low

  * Initial release (Closes: #813294)

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 05 Feb 2016 16:23:37 +0100
