=== debian/control ===
Source: libosmo-sccp
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
	, Thorsten Alteholz <debian@alteholz.de>
	, Kira Obrezkova <kiraobrezkova@gmail.com>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 10),
               pkg-config,
               libosmocore-dev
Standards-Version: 4.1.2
Vcs-Browser: https://anonscm.debian.org/cgit/debian-mobcom/libosmo-sccp.git
Vcs-Git: https://anonscm.debian.org/git/debian-mobcom/libosmo-sccp.git
Homepage: http://cgit.osmocom.org/libosmo-sccp/

Package: libosmosccp0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for Signalling Connection Control Part (SCCP)
 SCCP is a network layer protocol that provides extended routing, flow control,
 segmentation, connection-orientation, and error correction facilities in
 Signaling System 7 telecommunications networks.
 It is heavily used in cellular networks such as GSM.

Package: libosmomtp0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Message Transfer Part for Signaling System 7
 MTP is part of the Signaling System 7 used for communication in Public
 Switched Telephone Networks. MTP is responsible for reliable, unduplicated and
 in-sequence transport of SS7 messages between communication partners.
 This library is closely related to the libosmosccp library.

Package: libosmoxua0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Osmocom SCCP support library for generating and parsing messages
 SCCP is a network layer protocol that provides extended routing, flow control,
 segmentation, connection-orientation, and error correction facilities in
 Signaling System 7 telecommunications networks.
 It is heavily used in cellular networks such as GSM.
 .
 This library only contains some code for generating and parsing messages.

Package: libosmo-sccp-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libosmosccp0 (= ${binary:Version}),
         libosmomtp0 (= ${binary:Version}),
         libosmoxua0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for libosmosccp, libosmomtp and libosmoxua
 SCCP is a network layer protocol that provides extended routing, flow control,
 segmentation, connection-orientation, and error correction facilities in
 Signaling System 7 telecommunications networks.
 It is heavily used in cellular networks such as GSM.
 .
 This package contains the development files for the library.
