=== debian/watch ===
version=4
https://github.com/osmocom/libosmo-sccp/releases /osmocom/libosmo-sccp/archive/(\d\.\d\S+)\.tar\.(?:bz2|gz|xz)
