## libosmo-sccp 0.7.1.20170825

=== debian/changelog ===
libosmo-sccp (0.7.1.20170825) UNRELEASED; urgency=medium

  * Move forward towards a new release.
  * Snapshot build

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Fri, 25 Aug 2017 21:48:27 +0200
