=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
+# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 DEBIAN  := $(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
@@ -13,6 +11,9 @@
 %:
 	dh $@ --with autoreconf
 
+override_dh_autoreconf:
+	echo $(VERSION) > .tarball-version
+	dh_autoreconf
 
 override_dh_clean:
 	dh_clean
@@ -21,3 +22,4 @@
 # Print test results in case of a failure
 override_dh_auto_test:
 	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)
+
