## libosmo-sccp 0.7.1.20170826

=== debian/changelog ===
libosmo-sccp (0.7.1.20170826) UNRELEASED; urgency=medium

  * Move forward towards a new release.
  * Snapshot build

 -- Holger Hans Peter Freyther <holger@moiji-mobile.com>  Sat, 26 Aug 2017 04:44:50 +0200
