## libosmo-sccp 0.8.1

=== debian/changelog ===
libosmo-sccp (0.8.1-6) unstable; urgency=medium

  * debian/control:
    - Add missing dependency for libosmo-sccp-dev:
        libosmomtp0 (= ${binary:Version}) (Closes: #905414)
        Already fixed in experimental
    - New standards version 4.2.0 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 17 Aug 2018 15:50:03 +0200

libosmo-sccp (0.8.1-5) unstable; urgency=medium

  * debian/*: libosmo-sigtran.so has own dev package now

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 20 Apr 2018 18:39:43 +0200

libosmo-sccp (0.8.1-4) unstable; urgency=medium

  * debian/control: add lib dependency to dev package

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 19 Apr 2018 19:39:43 +0200

libosmo-sccp (0.8.1-3) unstable; urgency=medium

  * debian/rules: some tests on BE fail
  * add .so files to dev package

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 16 Apr 2018 19:47:43 +0100

libosmo-sccp (0.8.1-2) unstable; urgency=medium

  * move to unstable
  * debian/control: add salsa URLs
  * debian/control: use dh11
  * debian/control: bump standard to 4.1.4 (no changes)
  * debian/control: fix typo on dependencies (Closes: #891447)
                    (thanks to Andreas Beckmann)
  * debian/control: add conflicts for old -dev package (Closes: #890857)
                    (thanks to Andreas Beckmann)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 15 Apr 2018 18:47:14 +0100

libosmo-sccp (0.8.1-1) experimental; urgency=medium

  * New upstream release

 -- Kira Obrezkova <kiraobrezkova@gmail.com>  Mon, 22 Jan 2018 13:52:29 +0300
