=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --with autoreconf

override_dh_clean:
	dh_clean
	rm -f .version tests/package.m4 tests/testsuite

# Print test results in case of a failure
override_dh_auto_test:
	echo ${arch}
	if [ "${arch}" = "s390x" ] || \
	   [ "${arch}" = "hppa" ] || \
	   [ "${arch}" = "powerpc" ] || \
	   [ "${arch}" = "ppc64" ] || \
	   [ "${arch}" = "sparc64" ] || \
	   [ "${arch}" = "mips" ] ; then \
	   echo "Do not care of test result on this architecture" ;\
	else \
	   echo "Do make tests on this architecture" ;\
	   dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false) \
	fi

override_dh_installinit:
	dh_installinit --no-scripts
