## libosmo-sccp 0.10.0

=== debian/changelog ===
libosmo-sccp (0.10.0-4) unstable; urgency=medium

  * Patch for fixing test suite on big-endian architectures:
    - 0006-Separate-expected-response-big-endian.patch

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 18 Nov 2018 09:24:20 +0100

libosmo-sccp (0.10.0-3) unstable; urgency=low

  * debian/rules: Re-enable tests on all architectures

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 16 Nov 2018 08:22:35 +0100

libosmo-sccp (0.10.0-2) unstable; urgency=medium

  * debian/control: Add libosmocore-dev as dependency for libosmo-sccp-dev
  * debian/tests/control: Add build-essential to test dependency list

 -- Ruben Undheim <ruben.undheim@gmail.com>  Fri, 09 Nov 2018 22:59:57 +0100

libosmo-sccp (0.10.0-1) unstable; urgency=low

  * Upload to unstable

 -- Ruben Undheim <ruben.undheim@gmail.com>  Mon, 05 Nov 2018 21:46:44 +0100

libosmo-sccp (0.10.0-1~exp2) experimental; urgency=medium

  * Install systemd service, but do not enable it by default
  * Install useful default configuration file for osmo-stp in
    /etc/osmocom/osmo-stp.cfg
  * debian/control:
    - New standards version 4.2.1 - no changes

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 23 Sep 2018 13:38:07 +0200

libosmo-sccp (0.10.0-1~exp1) experimental; urgency=medium

  * New upstream release
  * debian/changelog:
    - Added entry from sid (0.8.1-6) to this changelog
  * debian/control:
    - Updated versions in versioned build-dependencies
  * debian/libosmo-sigtran0.symbols:
    - Added new symbols
  * debian/patches/02_set_version_explicitly.patch:
    - Updated version

 -- Ruben Undheim <ruben.undheim@gmail.com>  Wed, 29 Aug 2018 19:12:40 +0200

libosmo-sccp (0.9.0-3~exp1) experimental; urgency=medium

  * debian/control:
    - Add missing dependency for libosmo-sccp-dev: libosmomtp0 (=
      ${binary:Version}) (Closes: #905414)
    - New standards version 4.2.0 - no changes
  * debian/patches/0005-Patch-the-pkconfig-file-for-libosmo-xua.patch
    - The new autopkgtest reveiled a problem in one of the pkg-config files.
      Fix.
  * debian/patches: Refreshed patches using gbp-pq
  * debian/tests:
    - Added a test to verify that it is possible to link to the library.

 -- Ruben Undheim <ruben.undheim@gmail.com>  Sun, 05 Aug 2018 22:40:43 +0200

libosmo-sccp (0.9.0-2) experimental; urgency=medium

  * debian/patches: adapt version patch

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 21 Jun 2018 19:28:26 +0200

libosmo-sccp (0.9.0-1) experimental; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 17 May 2018 15:28:26 +0200
