=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
 Priority: optional
 Build-Depends: debhelper (>= 11),
                pkg-config,
-               libosmocore-dev (>= 0.10.0),
+               libosmocore-dev (>= 0.12.0),
                autoconf,
                automake,
                libtool,
-               git,
                doxygen,
                libdpkg-perl,
-               libosmo-netif-dev (>= 0.1.0),
+               libosmo-netif-dev (>= 0.3.0),
                libsctp-dev
-Standards-Version: 4.2.0
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/libosmo-sccp
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/libosmo-sccp.git
 Homepage: http://cgit.osmocom.org/libosmo-sccp/
@@ -24,9 +23,10 @@
 Package: libosmo-sccp-dev
 Architecture: any
 Depends: ${misc:Depends},
-	       libosmosccp0 (= ${binary:Version}),
-	       libosmoxua0 (= ${binary:Version}),
-	       libosmomtp0 (= ${binary:Version})
+         libosmocore-dev,
+         libosmosccp0 (= ${binary:Version}),
+         libosmoxua0 (= ${binary:Version}),
+         libosmomtp0 (= ${binary:Version})
 Multi-Arch: same
 Section: libdevel
 Description: Development files for libsccp, libmtp and libxua
