=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
arch = $(shell dpkg-architecture -qDEB_BUILD_ARCH)

%:
	dh $@ --with autoreconf

override_dh_clean:
	dh_clean
	rm -f .version tests/package.m4 tests/testsuite

# Print test results in case of a failure
override_dh_auto_test:
	echo ${arch}
	dh_auto_test || (find . -name testsuite.log -exec cat {} \; ; false)

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start
