## libosmo-sccp 1.2.0.31.7f17

=== debian/changelog ===
libosmo-sccp (1.2.0.31.7f17) UNRELEASED; urgency=medium

  * Snapshot build

 -- Pau Espin Pedrol <pespin@sysmocom.de>  Mon, 10 Feb 2020 01:28:00 +0000
