## libosmo-sccp 1.3.0+dfsg1

=== debian/changelog ===
libosmo-sccp (1.3.0+dfsg1-3) unstable; urgency=medium

  * upload to unstable

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Dec 2020 18:37:02 +0100

libosmo-sccp (1.3.0+dfsg1-2) experimental; urgency=medium

  * ignore format problem in testsuite

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 18:37:02 +0100

libosmo-sccp (1.3.0+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12
  * debian/control: depend on libosmocore >=1.4.0
  * debian/control: take care of soname change
  * add Build-Depends-Package: to symbols files

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 17 Aug 2020 19:37:02 +0000

libosmo-sccp (0.10.0-6) unstable; urgency=medium

  * do source only upload

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Aug 2020 19:28:26 +0200

libosmo-sccp (0.10.0-5) unstable; urgency=medium

  * add patch for gcc10 (Closes: #957463)
    Thanks to Harald Welte for the patch
  * debian/control: bump standard to 4.5.0 (no changes)
  * debian/control: use dh12

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Aug 2020 19:28:26 +0200
