=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: libosmo-sccp
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
 Uploaders: Ruben Undheim <ruben.undheim@gmail.com>
 	, Thorsten Alteholz <debian@alteholz.de>
 	, Kira Obrezkova <kiraobrezkova@gmail.com>
